Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cybergarage.upnp
Class StateVariable

    java.lang.Object
      org.cybergarage.upnp.xml.NodeData
          org.cybergarage.upnp.StateVariable

    public class StateVariable

extends NodeData

Field Summary
`static String` | `ELEM_NAME`

Constructor Summary
`StateVariable()`
`StateVariable(Node serviceNode, Node stateVarNode)`

Method Summary
`AllowedValueList` | `getAllowedValueList()`
`AllowedValueRange` | `getAllowedValueRange()`
`String` | `getDataType()`
`String` | `getName()`
`QueryListener` | `getQueryListener()`
`QueryResponse` | `getQueryResponse()`
`UPnPStatus` | `getQueryStatus()`
`Service` | `getService()`
`Node` | `getServiceNode()`
`StateVariableData` | `getStateVariableData()`
`Node` | `getStateVariableNode()`
`UPnPStatus` | `getStatus()`
`String` | `getValue()`
`boolean` | `hasAllowedValueList()`
`boolean` | `hasAllowedValueRange()`
`boolean` | `isSendEvents()`
`static boolean` | `isStateVariableNode(Node node)`
`boolean` | `performQueryListener(QueryRequest queryReq)`
`boolean` | `postQuerylAction()`
`void` | `set(StateVariable stateVar)`
`void` | `setDataType(String value)`
`void` | `setName(String value)`
`void` | `setQueryListener(QueryListener listener)`
`void` | `setSendEvents(boolean state)`
`void` | `setStatus(int code)`
`void` | `setStatus(int code, String descr)`
`void` | `setValue(int value)`
`void` | `setValue(long value)`
`void` | `setValue(String value)`

Methods inherited from class org.cybergarage.upnp.xml.NodeData
`getNode, setNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELEM_NAME

    public static final String ELEM_NAME

See Also:
  Constant Field Values

Constructor Detail

### StateVariable

    public StateVariable()

### StateVariable

    public StateVariable(Node serviceNode,
                         Node stateVarNode)

Method Detail

### getServiceNode

    public Node getServiceNode()

### getService

    public Service getService()

### getStateVariableNode

    public Node getStateVariableNode()

### isStateVariableNode

    public static boolean isStateVariableNode(Node node)

### setName

    public void setName(String value)

### getName

    public String getName()

### setDataType

    public void setDataType(String value)

### getDataType

    public String getDataType()

### setSendEvents

    public void setSendEvents(boolean state)

### isSendEvents

    public boolean isSendEvents()

### set

    public void set(StateVariable stateVar)

### getStateVariableData

    public StateVariableData getStateVariableData()

### setValue

    public void setValue(String value)

### setValue

    public void setValue(int value)

### setValue

    public void setValue(long value)

### getValue

    public String getValue()

### getAllowedValueList

    public AllowedValueList getAllowedValueList()

### hasAllowedValueList

    public boolean hasAllowedValueList()

### getAllowedValueRange

    public AllowedValueRange getAllowedValueRange()

### hasAllowedValueRange

    public boolean hasAllowedValueRange()

### getQueryListener

    public QueryListener getQueryListener()

### setQueryListener

    public void setQueryListener(QueryListener listener)

### performQueryListener

    public boolean performQueryListener(QueryRequest queryReq)

### getQueryResponse

    public QueryResponse getQueryResponse()

### getQueryStatus

    public UPnPStatus getQueryStatus()

### postQuerylAction

    public boolean postQuerylAction()

### setStatus

    public void setStatus(int code,
                          String descr)

### setStatus

    public void setStatus(int code)

### getStatus

    public UPnPStatus getStatus()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD